Description: fix build with new DPDK 23.11
 Since 23.03 rte_thread_setname was deprecated and in 23.11 it
 is gone. Adapt to the new name `rte_thread_set_name`
 See [1] for more.
Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1057200
Forwarded: https://github.com/EttusResearch/uhd/pull/714
Last-Update: 2023-01-12
--- a/host/lib/transport/uhd-dpdk/dpdk_io_service.cpp
+++ b/host/lib/transport/uhd-dpdk/dpdk_io_service.cpp
@@ -267,7 +267,11 @@ int dpdk_io_service::_io_worker(void* ar
 
     char name[16];
     snprintf(name, sizeof(name), "dpdk-io_%hu", (uint16_t)lcore_id);
+#if RTE_VER_YEAR >= 23
+    rte_thread_set_name(rte_thread_self(), name);
+#else
     rte_thread_setname(pthread_self(), name);
+#endif
     UHD_LOG_TRACE("DPDK::IO_SERVICE",
         "I/O service thread '" << name << "' started on lcore " << lcore_id);
 
